MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025484Open CASCADE[OCCT] OCCT:Visualizationpublic2014-11-14 19:512015-05-14 15:32
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025484: Visualization - group sub-shapes with the same style in XCAFPrs_AISObject::Compute()
DescriptionAfter migration to AIS_ColoredShape in 0025010 some optimizations has been lost.

Within some models all sub-shapes might have individual style which in fact... the same for all children. In this case every subshape is displayed in individual presentation group causing growth of CPU utilization.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025010closedapn Open CASCADE Use AIS_ColoredShape for display of XCAF documents 

-  Notes
(0034433)
git (administrator)
2014-11-14 19:59

Branch CR25484 has been created by kgv.

SHA-1: 82dffcd74ee1be9db1c41af579f65ce009d2e63c


Detailed log of new commits:

Author: kgv
Date: Fri Nov 14 19:58:33 2014 +0300

    0025484: Visualization - group sub-shapes with the same style in XCAFPrs_AISObject::Compute()
(0034435)
git (administrator)
2014-11-14 20:15

Branch CR25484 has been updated forcibly by kgv.

SHA-1: 92e28cbd99a5ad69adb61002eabf72a105f9d08f
(0034437)
abv (manager)
2014-11-14 21:04

Kirill, does not this issue contradict to the idea of having all instances of assembly components represented by separate AIS objects?
(0034438)
kgv (developer)
2014-11-14 23:32

>> does not this issue contradict to the idea of having all instances of assembly components represented by separate AIS objects?
I'm not familiar with XCaf, here is info for the model "jacht.stp":
Draw[10]> XStat D

Statistis of shapes in the document:
level N 0 : 47
level N 1 : 2947
Total number of labels for shapes in the document = 2994
Number of labels with name = 47
Number of labels with color link = 2994
Number of labels with layer link = 47

Maybe you can describe should be these color labels individually selectable within objects tree or not?

The patch does not contradicts to CR25315 for #0025315, however I'm not sure that related patch doing what it is meant to do.
(0034616)
git (administrator)
2014-11-22 15:20

Branch CR25484_1 has been created by kgv.

SHA-1: 544a7fea4177f7e57ec29ad5a7e0c94976cf8813


Detailed log of new commits:

Author: kgv
Date: Sat Nov 22 15:19:49 2014 +0300

    0025484: Visualization - group sub-shapes with the same style in XCAFPrs_AISObject::Compute()
(0034617)
kgv (developer)
2014-11-22 15:23

Please take a look at the patch in branch CR25484_1.

I suppose it can be further improved by re-writing XCAFPrs::CollectStyleSettings() to fill requested map.
(0034767)
san (developer)
2014-11-27 18:59

Branch CR25484_1 reviewed without remarks, ready for testing
(0034772)
git (administrator)
2014-11-27 19:29

Branch CR25484_1 has been updated forcibly by apv.

SHA-1: ae37837a2ab85dbedb37200e96ec6daabb464be7
(0034773)
apv (tester)
2014-11-27 19:30

Branch CR25484_1 has been rebased on the current master
(0034842)
apv (tester)
2014-11-28 16:12

Dear BugMaster,

Branch CR25484_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: ae37837a2ab85dbedb37200e96ec6daabb464be7

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 11 (11 on master)
   Windows: 0 (1 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 359629332 / 359261588
Total CPU difference: 47812.87000000011 / 47823.01999999983

Testing on Windows:
Total MEMORY difference: 273458008 / 273720132
Total CPU difference: 41541.859375 / 40218.9375
(0036612)
git (administrator)
2015-01-26 12:37

Branch CR25484_1 has been deleted by inv.

SHA-1: ae37837a2ab85dbedb37200e96ec6daabb464be7
(0036629)
git (administrator)
2015-01-26 12:38

Branch CR25484 has been deleted by inv.

SHA-1: 92e28cbd99a5ad69adb61002eabf72a105f9d08f

- Related Changesets
occt: master 3ea0a91b
Timestamp: 2014-11-22 12:19:49
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025484: Visualization - group sub-shapes with the same style in XCAFPrs_AISObject::Compute()
mod - src/AIS/AIS_ColoredShape.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs.cdl Diff ] File ]
mod - src/XCAFPrs/XCAFPrs.cxx Diff ] File ]
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-14 19:51 kgv New Issue
2014-11-14 19:51 kgv Assigned To => kgv
2014-11-14 19:51 kgv Relationship added related to 0025010
2014-11-14 19:51 kgv Relationship added child of 0025295
2014-11-14 19:59 git Note Added: 0034433
2014-11-14 20:15 git Note Added: 0034435
2014-11-14 21:04 abv Note Added: 0034437
2014-11-14 23:32 kgv Note Added: 0034438
2014-11-22 15:20 git Note Added: 0034616
2014-11-22 15:23 kgv Note Added: 0034617
2014-11-22 15:23 kgv Assigned To kgv => san
2014-11-22 15:23 kgv Status new => resolved
2014-11-27 18:59 san Note Added: 0034767
2014-11-27 18:59 san Assigned To san => bugmaster
2014-11-27 18:59 san Status resolved => reviewed
2014-11-27 19:29 git Note Added: 0034772
2014-11-27 19:30 apv Note Added: 0034773
2014-11-27 19:30 apv Assigned To bugmaster => apv
2014-11-28 15:07 apv Test case number => Not needed
2014-11-28 16:12 apv Note Added: 0034842
2014-11-28 16:12 apv Assigned To apv => bugmaster
2014-11-28 16:12 apv Status reviewed => tested
2014-12-05 14:42 bugmaster Changeset attached => occt master 3ea0a91b
2014-12-05 14:42 bugmaster Status tested => verified
2014-12-05 14:42 bugmaster Resolution open => fixed
2015-01-19 16:23 bugmaster Target Version 7.1.0 => 6.9.0
2015-01-26 12:37 git Note Added: 0036612
2015-01-26 12:38 git Note Added: 0036629
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker